*Inheritance: EventDispatcher → Node → InstanceNode →*

# InstancedMeshNode

This is a special version of `InstanceNode` which requires the usage of [InstancedMesh](InstancedMesh.html). It allows an easier setup of the instance node.

## Constructor

### new InstancedMeshNode( instancedMesh : InstancedMesh )

Constructs a new instanced mesh node.

**instancedMesh**

The instanced mesh.

## Properties

### .instancedMesh : InstancedMesh

A reference to the instanced mesh.

## Source

[src/nodes/accessors/InstancedMeshNode.js](https://github.com/mrdoob/three.js/blob/master/src/nodes/accessors/InstancedMeshNode.js)